Bug 9743

Summary: Allow customization for making hold notes required
Product: Koha Reporter: Marcel de Rooy <m.de.rooy>
Component: Hold requestsAssignee: Marcel de Rooy <m.de.rooy>
Status: RESOLVED LATER QA Contact:
Severity: enhancement    
Priority: P5 - low CC: gitbot, gmcharlt, joonas.kylmala, kyle.m.hall, m.de.rooy, nick
Version: master   
Hardware: All   
OS: All   
See Also: http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=9721
http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=15545
Change sponsored?: --- Patch complexity: Small patch
Documentation contact: Documentation submission:
Text to go in the release notes:
Version(s) released in:
Attachments: Bug 9743: Mandatory opac hold notes under specified conditions
Bug 9743: dbrev for mandatory hold notes
Bug 9743: Unit test for mandatory hold notes
Bug 9743: Mandatory opac hold notes under specified conditions
Bug 9743: dbrev for mandatory hold notes
Bug 9743: Unit test for mandatory hold notes
Bug 9743: Mandatory opac hold notes under specified conditions
Bug 9743: dbrev for mandatory hold notes
Bug 9743: Unit test for mandatory hold notes
Bug 9743: Mandatory opac hold notes under specified conditions
Bug 9743: dbrev for mandatory hold notes
Bug 9743: Unit test for mandatory hold notes
Bug 9743: Mandatory opac hold notes under specified conditions
Bug 9743: dbrev for mandatory hold notes
Bug 9743: Unit test for mandatory hold notes
Bug 9743: Unit test for mandatory hold notes
Bug 9743: Allow customization for making hold notes required
Bug 9743: Allow customization for making hold notes required

Description Marcel de Rooy 2013-03-04 08:06:26 UTC
Make new opac holds notes mandatory under conditions controlled by syspref and depending on record status.

To illustrate: we examine MARC21 300$a; if it contains multiple parts/volumes, but there is only one item, we ask the user to specify a part in the notes.
In this case we could implement by: call this situation reason 1, add it in code and template, and specify reason 1 in the syspref.

The syspref may contain a number of such reasons like: 1,2&3,4 meaning check successively 1, or 2 and 3, or 4 for new hold requests.
This allows for future extension and flexible configuration.
When extending this further, we should probably add a small interface on top of the syspref instead of typing 1,2&3 etc. but imo this may be sufficient to start with.

This development is part of bug 9721 (umbrella report for hold changes to meet special library needs).
The patch builds on bug 9722 which allows opac users to add hold notes.
Comment 1 Marcel de Rooy 2013-03-04 12:44:36 UTC Comment hidden (obsolete)
Comment 2 Marcel de Rooy 2013-03-04 12:44:42 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2013-03-06 14:36:28 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2013-04-26 13:29:44 UTC
git am -3 /tmp/Bug-9743-Mandatory-opac-hold-notes-under-specified-AtsBqs.patch
Applying: Bug 9743: Mandatory opac hold notes under specified conditions
fatal: sha1 information is lacking or useless (koha-tmpl/opac-tmpl/prog/en/modules/opac-reserve.tt).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Patch failed at 0001 Bug 9743: Mandatory opac hold notes under specified conditions
Comment 5 Marcel de Rooy 2013-04-26 14:56:37 UTC Comment hidden (obsolete)
Comment 6 Marcel de Rooy 2013-04-26 14:56:43 UTC Comment hidden (obsolete)
Comment 7 Marcel de Rooy 2013-04-26 14:56:47 UTC Comment hidden (obsolete)
Comment 8 Marcel de Rooy 2013-04-26 14:57:56 UTC
(In reply to comment #4)
> Patch failed at 0001 Bug 9743: Mandatory opac hold notes under specified
> conditions

Rebased patches. Please build upon the three patches of 9722 (in signed off state). Thanks for testing.
Comment 9 Marcel de Rooy 2013-07-11 11:40:13 UTC
Needs a rebase. Plus adaptation to renamed syspref :)
Comment 10 Marcel de Rooy 2013-07-11 12:06:38 UTC Comment hidden (obsolete)
Comment 11 Marcel de Rooy 2013-07-11 12:06:43 UTC Comment hidden (obsolete)
Comment 12 Marcel de Rooy 2013-07-11 12:18:43 UTC Comment hidden (obsolete)
Comment 13 I'm just a bot 2013-09-18 11:20:10 UTC
Applying: Bug 9743: Mandatory opac hold notes under specified conditions
Using index info to reconstruct a base tree...
M	C4/Reserves.pm
M	koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/opac.pref
M	koha-tmpl/opac-tmpl/prog/en/modules/opac-reserve.tt
M	opac/opac-reserve.pl
Falling back to patching base and 3-way merge...
Auto-merging opac/opac-reserve.pl
Auto-merging koha-tmpl/opac-tmpl/prog/en/modules/opac-reserve.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/opac.pref
Auto-merging C4/Reserves.pm
CONFLICT (content): Merge conflict in C4/Reserves.pm
Patch failed at 0001 Bug 9743: Mandatory opac hold notes under specified conditions
The copy of the patch that failed is found in:
   /home/christopher/git/koha/.git/rebase-apply/patch
When you have resolved this problem, run "git am --continue".
If you prefer to skip this patch, run "git am --skip" instead.
To restore the original branch and stop patching, run "git am --abort".
Comment 14 Marcel de Rooy 2013-09-19 11:51:50 UTC Comment hidden (obsolete)
Comment 15 Marcel de Rooy 2013-09-19 11:53:13 UTC
Trivial rebase. Too bad that gitbot cannot do that too :)
Comment 16 Marcel de Rooy 2013-09-19 11:57:12 UTC
Trying a new title for this amazing report! Please test.
Comment 17 Marcel de Rooy 2013-09-19 12:07:30 UTC Comment hidden (obsolete)
Comment 18 Marcel de Rooy 2013-09-19 12:09:48 UTC
Yet another rebase: updatedatabase, and sysprefs.sql. Really, gitbot you can do it..
Comment 19 Marcel de Rooy 2013-09-19 12:52:50 UTC Comment hidden (obsolete)
Comment 20 Marcel de Rooy 2013-09-19 12:53:23 UTC
And even the unit test did not miss a rebase..
Comment 21 I'm just a bot 2013-09-24 05:45:53 UTC
Patch applied cleanly, go forth and signoff
Comment 22 Marcel de Rooy 2013-10-03 09:43:47 UTC Comment hidden (obsolete)
Comment 23 Marcel de Rooy 2013-10-03 09:48:16 UTC Comment hidden (obsolete)
Comment 24 Marcel de Rooy 2013-10-03 09:57:00 UTC Comment hidden (obsolete)
Comment 25 Marcel de Rooy 2013-10-03 09:59:34 UTC Comment hidden (obsolete)
Comment 26 Marcel de Rooy 2013-10-03 10:01:55 UTC
Rebased three patches, mainly due to new layout of opac-reserve.
Note that the design for the line with the reason for a mandatory hold note still needs improvement. I asked Owen for a suggestion there.
Comment 27 I'm just a bot 2013-10-28 06:22:59 UTC
Patch applied cleanly, go forth and signoff
Comment 28 Marcel de Rooy 2014-02-10 12:33:22 UTC
Obsoleting the patches for this report.
Will probably come up with a new approach to get this moving.
Back to Assigned for the moment.
Comment 29 Marcel de Rooy 2014-12-15 13:56:11 UTC Comment hidden (obsolete)
Comment 30 Marcel de Rooy 2014-12-15 14:04:04 UTC
Please enable pref OpacHoldNotes to have meaningful test results :)
Comment 31 Marcel de Rooy 2014-12-16 14:46:27 UTC
This still needs a follow-up for a deselected biblio with notes in case of multiple holds.
Comment 32 Marcel de Rooy 2014-12-19 10:27:34 UTC Comment hidden (obsolete)
Comment 33 Joonas Kylmälä 2015-08-31 12:40:49 UTC
What does it mean when a MARC21 300$a field contains a reference to multiple volumes/parts?
Comment 34 Marcel de Rooy 2015-08-31 14:15:25 UTC
(In reply to Joonas Kylmälä from comment #33)
> What does it mean when a MARC21 300$a field contains a reference to multiple
> volumes/parts?

This biblio describes for example a work in three parts, but it has been catalogued as one (in our case we still have these ones only having one item too that comprises all parts; we split the items when labeling.)
Comment 35 Marcel de Rooy 2016-01-11 14:19:24 UTC
Closing this report; revised under a new report.